@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root{
  --Primary-color:  #FFC544;
  --Primary-color-border:  rgb(0, 0, 0);
  --Secundary-color:#FFD984;
  --Tertiary-color: #379090;

  --FontSizeMenu: 1rem;
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Montserrat, sans-serif;
}


html,body{
  height: 100dvh;
  width: 100dvw;
}
body{
  display: grid;
  grid-template-rows: auto 1fr;

}

main {
  padding: 1rem;
}
main .island{
  overflow: scroll;
  height: 82dvh;
  border-radius: 1rem;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  background-color: var(--Secundary-color);
  box-shadow:2px 2px 2px 2px rgba(189, 78, 78, 0.354);
  overflow-x: hidden;
}
main .island::-webkit-scrollbar {
  display: none;                  /* Chrome, Safari, Edge moderno */
}
.containers {
  display: flex;
  gap: 2rem;
  position: relative;
}
.containers button{
  color: #fff;
  width: 20%;
  padding: 1rem;
  font-weight: 700;
  text-align: center;
  align-self: center;
  border-radius: 8px;
  background-color: var(--Tertiary-color);
  transition: all .3s ease-in-out;
}

.containers button:hover{
  cursor: pointer;
  transform: scale(1.1);
}

.container_table h2{
  margin-bottom: 1.2rem;
}
.table{
  /* background-color: aquamarine; */
  border-radius: 8px;
  width: 50%;
  align-self: center;
  justify-self: center;
  display: flex;
  flex-direction: column;
  gap: .5rem;
}
.title_table{
  font-size: 1.5rem;
  text-align: center;
  text-transform: uppercase;
}
#tabelaMatriculas thead tr{
  display: flex;
  width: 100%;
  justify-content: space-around;
}
#tabelaMatriculas thead tr th{
  font-size: 1.2rem;
}
.containers .container_table .table #tabelaCursos {
  display: flex;
  flex-direction: column;
  gap: .5rem;
  width: 100%;
}
.containers .container_table .table #tabelaCursos tr{
  border-bottom: 1px solid black;
  width: 100%;
  display: flex;
  justify-content: space-between;
}
.containers .container_table .table #tabelaCursos td{
  font-weight: 500;
  font-size: 1.2rem;
  text-align: left;
}

/*Cadastro novo curso*/

.hidden{
  transform: translateX(-100%);
  transition: all ease-in-out .5s;
  opacity: 0;
  pointer-events: none;
}
.show{
  opacity: 1;
  transform: translateX(0%);
  transition: all ease-in-out .5s;
  pointer-events:relative;
}

#formNovaMatricula {
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  justify-content: center;
  align-items: center;

}#formNovaMatricula .inputs{
  max-width: 320px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
  width: 100%;
}
#formNovaMatricula .input{
  display: flex;
  align-items: center;
  gap: 1rem;
  width: 100%
}
#formNovaMatricula label{
  text-wrap-mode: nowrap;
  font-weight: 600;
}
#formNovaMatricula input{
  width: 100%;
  border-radius: 8px;
  border: none;
  background-color: rgba(255, 255, 255, 1);
}
#formNovaMatricula button{
  min-width: fit-content;
  padding: .8rem;
}

#formNovaMatricula h3{
  display: flex;
  flex-direction: column;
  text-align: center;
  width: 100%;
}

.custom-select {
  appearance: none; /* Remove o estilo padrão */
  -webkit-appearance: none;
  -moz-appearance: none;

  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 16px;
  padding: .4rem 0;
  color: #333;
  cursor: pointer;
  width: 100%;
  max-width: 400px;
  background-image: url('data:image/svg+xml;utf8,<svg fill="%23666" height="24" viewBox="0 0 24 24" width="24" xmlns="http://www.w3.org/2000/svg"><path d="M7 10l5 5 5-5z"/></svg>');
  background-repeat: no-repeat;
  background-position: right 10px center;
  background-size: 20px;
}

.custom-select:focus {
  outline: none;
  border-color: var(--Primary-color);
  box-shadow: 0 0 3px #00000066;
}